Bug 1121686 - [Beaker] twisted.internet.error.ConnectError: An error occurred while connecting: 2: No such file or directory.
Summary: [Beaker] twisted.internet.error.ConnectError: An error occurred while connect...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Beaker
Classification: Community
Component: beah
Version: 0.7
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: ---
Assignee: beaker-dev-list
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-21 15:16 UTC by David Spurek
Modified: 2018-02-06 00:41 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-18 23:19:46 UTC


Attachments (Terms of Use)

Description David Spurek 2014-07-21 15:16:11 UTC
Description of problem:
I got external watchdog expired with 2 beaker machines with fedora 20.
In console.log I see:

2014-07-21 10:49:54,151 backend linfo: INFO BackendFactory: Started to connect. 
2014-07-21 10:49:54,152 backend linfo: INFO BackendFactory: Connection failed. Reason: [Failure instance: Traceback (failure with no frames): <class 'twisted.internet.error.ConnectError'>: An error occurred while connecting: 2: No such file or directory. 
] 
....
2014-07-21 10:51:14,815 rhts_task task_exited: INFO task_exited([Failure instance: Traceback (failure with no frames): <class 'twisted.internet.error.ProcessDone'>: A process has ended without apparent errors: process finished with exit code 0. 
]) 
2014-07-21 10:51:14,820 rhts_task on_exit: INFO quitting... 
2014-07-21 10:51:14,822 rhts_task task_ended: INFO task_ended([Failure instance: Traceback (failure with no frames): <class 'twisted.internet.error.ProcessDone'>: A process has ended without apparent errors: process finished with exit code 0. 
]) 
2014-07-21 10:51:15,848 beah processExited: INFO TaskStdoutProtocol:processExited([Failure instance: Traceback (failure with no frames): <class 'twisted.internet.error.ProcessDone'>: A process has ended without apparent errors: process finished with exit code 0. 
]) 
2014-07-21 10:51:15,850 beah processEnded: INFO TaskStdoutProtocol:processEnded([Failure instance: Traceback (failure with no frames): <class 'twisted.internet.error.ProcessDone'>: A process has ended without apparent errors: process finished with exit code 0. 
]) 

[1] https://beaker.engineering.redhat.com/jobs/699813
[2] https://beaker.engineering.redhat.com/jobs/699605

Version-Release number of selected component (if applicable):
beah-0.7.6-1.fc19.noarch

How reproducible:
often

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Dan Callaghan 2014-07-24 02:36:28 UTC
These messages are (unfortunately) expected as part of Beah running a recipe.

If you mean, it is a bug that Beah produces these messages which look like errors but are not necessarily fatal: yes, I agree.

But if you are looking for a reason why your jobs aborted, the cause is probably something else.

Comment 3 David Spurek 2014-07-24 05:42:53 UTC
Thanks for the reply. In the last task before external watchdog, I see a lot of messages (in [1]) like:

["Event", "output", "fe5dc477-4ff2-4cf2-bba1-d67bedfd3577", {"id": "05b24413-88a7-40da-bbff-8df9de691a1f"}, null, {"data": "diff: /var/log/messages: No such file or directory\n", "out_handle": "stderr"}]
["Event", "output", "d0e70e19-f1ab-425c-810e-b062f5363b9e", {"id": "05b24413-88a7-40da-bbff-8df9de691a1f"}, null, {"data": "File is still growing..\n", "out_handle": "stdout"}]
["Event", "output", "710598a6-e911-4ccd-a1a9-a9e20941a43e", {"id": "05b24413-88a7-40da-bbff-8df9de691a1f"}, null, {"data": "cat: ", "out_handle": "stderr"}]
["Event", "output", "57aeee08-961d-41dd-981a-1a885a10d762", {"id": "05b24413-88a7-40da-bbff-8df9de691a1f"}, null, {"data": "/var/log/messages", "out_handle": "stderr"}]
["Event", "output", "0a7b709d-a453-4716-ac4e-dae34dcc6015", {"id": "05b24413-88a7-40da-bbff-8df9de691a1f"}, null, {"data": ": No such file or directory", "out_handle": "stderr"}]
["Event", "output", "b1962a44-237d-401c-87bd-a0fcdb60d9fc", {"id": "05b24413-88a7-40da-bbff-8df9de691a1f"}, null, {"data": "\n", "out_handle": "stderr"}]
["Event", "output", "dc8f4532-7896-4178-80dd-da0879d4b4d2", {"id": "05b24413-88a7-40da-bbff-8df9de691a1f"}, null, {"data": "diff: ", "out_handle": "stderr"}]

Can be this a reason why job is unfinished and external watchdog kills the job?



[1] http://beaker-archive.app.eng.bos.redhat.com/beaker-logs/2014/07/6998/699813/1457387/22923937/debug/.task_beah_raw

Comment 4 Dan Callaghan 2014-07-28 01:15:27 UTC
(In reply to David Spurek from comment #3)
> Can be this a reason why job is unfinished and external watchdog kills the
> job?

No, these events are normal (beah is just capturing the stdout of your task).

The most common reason for a recipe to get stuck and be killed by EWD is a failure to communicate back to the Beaker lab controller -- either because of something done in your task which interferes with DNS resolution or IP connectivity, or because of some network issue in the lab.


Note You need to log in before you can comment on or make changes to this bug.